<?php



// Load Nette Framework
require dirname(__FILE__) . '/../../../Nette/loader.php';


// Enable Nette Debugger for error visualisation & logging
NDebugger::$strictMode = TRUE;
NDebugger::$logDirectory = dirname(__FILE__) . '/../log';
NDebugger::enable();


// Load configuration from config.neon file
$configurator = new NConfigurator;
$configurator->container->params += $params;
$configurator->container->params['tempDir'] = dirname(__FILE__) . '/../temp';
$container = $configurator->loadConfig(dirname(__FILE__) . '/config.neon');


// Setup router using mod_rewrite detection
if (function_exists('apache_get_modules') && in_array('mod_rewrite', apache_get_modules())) {
	$container->router = new NRouteList;
	$container->router[] = new NRoute('index.php', 'Dashboard:default', NRoute::ONE_WAY);
	$container->router[] = new NRoute('<presenter>/<action>[/<id>]', 'Dashboard:default');

} else {
	$container->router = new NSimpleRouter('Dashboard:default');
}

// Run the application!
$container->application->run();
