<?php



// Load Nette Framework
require dirname(__FILE__) . '/../../../Nette/loader.php';


// Enable Nette Debugger for error visualisation & logging
NDebugger::$strictMode = TRUE;
NDebugger::$logDirectory = dirname(__FILE__) . '/../log';
NDebugger::enable();


// Load configuration from config.neon file
$configurator = new NConfigurator;
$configurator->container->params += $params;
$configurator->container->params['tempDir'] = dirname(__FILE__) . '/../temp';
$container = $configurator->loadConfig(dirname(__FILE__) . '/config.neon');


// Setup router using mod_rewrite detection
if (function_exists('apache_get_modules') && in_array('mod_rewrite', apache_get_modules())) {
	$container->router = $router = new NRouteList;
	$router[] = new NRoute('index.php', 'Front:Default:default', NRoute::ONE_WAY);

	$router[] = $adminRouter = new NRouteList('Admin');
	$adminRouter[] = new NRoute('admin/<presenter>/<action>', 'Default:default');

	$router[] = $frontRouter = new NRouteList('Front');
	$frontRouter[] = new NRoute('<presenter>/<action>[/<id>]', 'Default:default');

} else {
	$container->router = new NSimpleRouter('Front:Default:default');
}


// Run the application!
$container->application->run();
