<?php

/**
 * My Application bootstrap file.
 */



// Load Nette Framework
require LIBS_DIR . '/Nette/loader.php';


// Enable NDebug for error visualisation & logging
NDebugger::$strictMode = TRUE;
NDebugger::enable();


// Load configuration from config.neon file
$configurator = new NConfigurator;
$container = $configurator->loadConfig(dirname(__FILE__) . '/config.neon');


// Setup router
$router = $container->router;
$router[] = new NRoute('index.php', 'Homepage:default', NRoute::ONE_WAY);
$router[] = new NRoute('<presenter>/<action>[/<id>]', 'Homepage:default');


// Configure and run the application!
$application = $container->application;
//$application->catchExceptions = TRUE;
$application->errorPresenter = 'Error';
$application->run();
