<?php

/**
 * Test: NStrings::expand()
 *
 * @author     David Grudl
 * @package    Nette\Utils
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::same( 'item', NStrings::expand('item', array()) );
Assert::same( '123', NStrings::expand(123, array()) );
Assert::same( '%', NStrings::expand('%%', array()) );
Assert::same( 'item', NStrings::expand('%key%', array('key' => 'item')) );
Assert::same( 123, NStrings::expand('%key%', array('key' => 123)) );
Assert::same( 'a123b123c', NStrings::expand('a%key%b%key%c', array('key' => 123)) );
Assert::same( 123, NStrings::expand('%key1.key2%', array('key1' => array('key2' => 123))) );
Assert::same( 123, NStrings::expand('%key1%', array('key1' => '%key2%', 'key2' => 123), TRUE) );

Assert::throws(create_function('', '
	NStrings::expand(\'%missing%\', array());
'), 'InvalidArgumentException', "Missing item 'missing'.");

Assert::throws(create_function('', '
	NStrings::expand(\'%key1%a\', array(\'key1\' => array(\'key2\' => 123)));
'), 'InvalidArgumentException', "Unable to concatenate non-scalar parameter 'key1' into '%key1%a'.");

Assert::throws(create_function('', '
	NStrings::expand(\'%key1%\', array(\'key1\' => \'%key2%\', \'key2\' => \'%key1%\'), TRUE);
'), 'InvalidArgumentException', "Circular reference detected for variables: key1, key2.");
